Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-20105

Both agents have bogus dependency on libxml2

XMLWordPrintable

    • Icon: Problem report Problem report
    • Resolution: Fixed
    • Icon: Trivial Trivial
    • 6.0.6rc1, 6.2.0rc2, 6.2 (plan)
    • 5.4.6, 6.0.0alpha4
    • Agent (G)
    • None
    • Team B
    • Sprint 81 (Oct 2021), Sprint 82 (Nov 2021), Sprint 83 (Dec 2021), Sprint 84 (Jan 2022), Sprint 85 (Feb 2022), Sprint 86 (Mar 2022), Sprint 87 (Apr 2022), Sprint 88 (May 2022), Sprint 89 (Jun 2022)
    • 1

      Both old agent and agent2 are linked to libxml2 if --with-libxml2 flag is used during ./configure, but it is not needed by any of them.

      > lddtree ./sbin/zabbix_agent2
      ./sbin/zabbix_agent2 (interpreter => /lib64/ld-linux-x86-64.so.2)
          libm.so.6 => /usr/lib/libm.so.6
          libdl.so.2 => /usr/lib/libdl.so.2
          libresolv.so.2 => /usr/lib/libresolv.so.2
          libxml2.so.2 => /usr/lib/libxml2.so.2
              libicuuc.so.69 => /usr/lib/libicuuc.so.69
                  libicudata.so.69 => /usr/lib/libicudata.so.69
                  libstdc++.so.6 => /usr/lib/libstdc++.so.6
                  libgcc_s.so.1 => /usr/lib/libgcc_s.so.1
              liblzma.so.5 => /usr/lib/liblzma.so.5
          libpcre.so.1 => /usr/lib/libpcre.so.1
          libz.so.1 => /usr/lib/libz.so.1
          libpthread.so.0 => /usr/lib/libpthread.so.0
          libssl.so.1.1 => /usr/lib/libssl.so.1.1
          libcrypto.so.1.1 => /usr/lib/libcrypto.so.1.1
          libc.so.6 => /usr/lib/libc.so.6

      Discovered while making fix for ZBX-20008.

      5.4+

            yurii Jurijs Klopovskis
            yurii Jurijs Klopovskis
            Team B
            Votes:
            1 Vote for this issue
            Watchers:
            3 Start watching this issue

              Created:
              Updated:
              Resolved: